## CORBA Interface IServerSessions

The ServerSessions interface may be used to find out information relating to the sessions within executing server. This functionality is not limited to administrators.

### Definition

CORBA Module SASIOMCommon

### IServerSessions Description

The ServerSessions interface may be used to find out information relating to the sessions within executing server. This functionality is not limited to administrators. When not used by an administrator, the client may only see sessions that they have created.

CORBA Definitions
method SessionList |
method UseSession |

Java Classes
IServerSessionsHelper | Used to manipulate the IServerSessions type
IServerSessionsHolder | Used to process the IServerSessions type as an out parameter

Java Interfaces
IServerSessions | The ServerSessions interface may be used to find out information relating to the sessions within executing server. This functionality is not limited to administrators.

Java Interface IServerSessions

The ServerSessions interface may be used to find out information relating to the sessions within executing server. This functionality is not limited to administrators.

Package com.sas.iom.SASIOMCommon

IServerSessions Description
The ServerSessions interface may be used to find out information relating to the sessions within executing server. This functionality is not limited to administrators. When not used by an administrator, the client may only see sessions that they have created.

`public interface IServerSessions
extends org.omg.CORBA.Object`

Method Summary

void | SessionList ( java.lang.String userFilter , UUIDSeqHolder sessionIDs , StringSeqHolder owners , DoubleSeqHolder inactiveTimes ) throws ( GenericError );
Object | UseSession ( UUID sessionID ) throws ( GenericError );

Java Class IServerSessionsHelper

public class IServerSessionsHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerSessions type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerSessionsHelper

Java Class IServerSessionsHolder

public class IServerSessionsHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerSessions type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerSessionsHolder

CORBA Method SessionList

Description

Usage

Java Method SessionList

`void` SessionList (

        java.lang.String userFilter ,
        UUIDSeqHolder sessionIDs ,
        StringSeqHolder owners ,
        DoubleSeqHolder inactiveTimes
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
userFilter | in | java.lang.String |
sessionIDs | out | UUIDSeqHolder |
owners | out | StringSeqHolder |
inactiveTimes | out | DoubleSeqHolder |

Example

CORBA Method UseSession

Description

Usage

Java Method UseSession

`Object` UseSession (

        UUID sessionID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | UUID |

Example